Name:          python-WeasyPrint
Version:       52.4
Release:       1mamba
Summary:       A visual rendering engine for HTML and CSS that can export to PDF
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/WeasyPrint
Source:        https://pypi.debian.net/WeasyPrint/WeasyPrint-%{version}.tar.gz
#Source:        https://pypi.debian.net/WeasyPrint/WeasyPrint-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python-pycparser
Requires:      python-Pyphen
Requires:      python-CairoSVG
Requires:      python-cssselect
Requires:      python-html5lib
Requires:      python-six
Requires:      python-cffi
Requires:      python-tinycss
Requires:      python-lxml
Requires:      python-setuptools
Requires:      python-pip
Requires:      python-cairocffi
Requires:      python >= %python_version

%description
WeasyPrint is a visual rendering engine for HTML and CSS that can export to PDF. It aims to support web standards for printing.
WeasyPrint is free software made available under a BSD license.
It is based on various libraries but *not* on a full rendering engine like WebKit or Gecko. The CSS layout engine is written in Python, designed for pagination, and meant to be easy to hack on.

%if "%{?with_pyver}"
%define pyver           %{with_pyver}
%define pyappend        py%{with_pyver}
%define __python        %(rpm --eval %{__python%{pyver}})
%define python_sitearch %(rpm --eval %{python%{with_pyver}_sitearch})
%define python_sitelib  %(rpm --eval %{python%{with_pyver}_sitelib})
%define python_inc      %(rpm --eval %{python%{with_pyver}_inc})
%define python_version  %(rpm --eval %{python%{with_pyver}_version})
%define python_provides %(rpm --eval %{python%{with_pyver}_provides})
%define python_requires %(rpm --eval %{python%{with_pyver}_requires})
%define py_requires     %(rpm --eval %{py%{with_pyver}_requires})
%package py%{with_pyver} 
Group:         System/Libraries/Python 
Summary:       %{summary}
Requires:      python-pycparser-%{?pyappend}
Requires:      python-Pyphen-%{?pyappend}
Requires:      python-CairoSVG-%{?pyappend}
Requires:      python-cssselect-%{?pyappend}
Requires:      python-html5lib-%{?pyappend}
Requires:      python-six-%{?pyappend}
Requires:      python-cffi-%{?pyappend}
Requires:      python-tinycss-%{?pyappend}
Requires:      python-lxml-%{?pyappend}
Requires:      python-setuptools-%{?pyappend}
Requires:      python-pip-%{?pyappend}
Requires:      python-cairocffi-%{?pyappend}
%{py3_requires} 

%description py%{with_pyver} 
WeasyPrint is a visual rendering engine for HTML and CSS that can export to PDF. It aims to support web standards for printing.
WeasyPrint is free software made available under a BSD license.
It is based on various libraries but *not* on a full rendering engine like WebKit or Gecko. The CSS layout engine is written in Python, designed for pagination, and meant to be easy to hack on.
%endif

%prep
%setup -q -n WeasyPrint-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Fri Mar 12 2021 Automatic Build System <autodist@mambasoft.it> 52.4-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 52.2-1mamba
- automatic version update by autodist

* Tue Dec 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 52.1-1mamba
- update to 52.1

* Wed Sep 09 2020 Automatic Build System <autodist@mambasoft.it> 51-1mamba
- automatic update by autodist

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 48-1mamba
- update to 48

* Tue Jun 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23-1mamba
- package created using the webbuild interface
